<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: MouseBinding Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d12/class_mouse_binding.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">MouseBinding Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a21eeeac48a3e9fa07ca429d1c29a08bf"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_InfoDescription void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a21eeeac48a3e9fa07ca429d1c29a08bf">MouseBinding</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ui_id, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mouse_button, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mouse_event, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> call_target, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> call_function, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> info_bind, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> info_description)</td></tr>
<tr class="separator:a21eeeac48a3e9fa07ca429d1c29a08bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5571c84352c9ae9d8fad11306cbd280e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a5571c84352c9ae9d8fad11306cbd280e">GetUIMenuID</a> ()</td></tr>
<tr class="separator:a5571c84352c9ae9d8fad11306cbd280e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedcde7b136707195707bc9be9607df74"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#aedcde7b136707195707bc9be9607df74">GetButtonID</a> ()</td></tr>
<tr class="separator:aedcde7b136707195707bc9be9607df74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dd62f74114e6b7c62c1af07f58c3938"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a5dd62f74114e6b7c62c1af07f58c3938">GetMouseEvent</a> ()</td></tr>
<tr class="separator:a5dd62f74114e6b7c62c1af07f58c3938"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef322d4ab41b4ff504960ac27b882afe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#aef322d4ab41b4ff504960ac27b882afe">GetCallbackTarget</a> ()</td></tr>
<tr class="separator:aef322d4ab41b4ff504960ac27b882afe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ae38e0cdf80e3c659fa734dd8690abd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a7ae38e0cdf80e3c659fa734dd8690abd">GetCallbackFunction</a> ()</td></tr>
<tr class="separator:a7ae38e0cdf80e3c659fa734dd8690abd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bbaae249ae7d097da0116afbed14f6b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a3bbaae249ae7d097da0116afbed14f6b">GetInfoBind</a> ()</td></tr>
<tr class="separator:a3bbaae249ae7d097da0116afbed14f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb7b9a8a146961d7d1e362f642720d5f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#adb7b9a8a146961d7d1e362f642720d5f">GetInfoDescription</a> ()</td></tr>
<tr class="separator:adb7b9a8a146961d7d1e362f642720d5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8d7b96c38afc9ed65401bf27a4584cfe"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a8d7b96c38afc9ed65401bf27a4584cfe">m_ActiveUIMenuID</a></td></tr>
<tr class="separator:a8d7b96c38afc9ed65401bf27a4584cfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7afc179f99ffbf3d5cc489c769ed74f9"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a7afc179f99ffbf3d5cc489c769ed74f9">m_MouseButton</a></td></tr>
<tr class="separator:a7afc179f99ffbf3d5cc489c769ed74f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03acac9187f20d7f4896cceadea1b0aa"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a03acac9187f20d7f4896cceadea1b0aa">m_MouseEvent</a></td></tr>
<tr class="separator:a03acac9187f20d7f4896cceadea1b0aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ab6e7834fe25bb14e470062bb385c48"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a7ab6e7834fe25bb14e470062bb385c48">m_CallbackTarget</a></td></tr>
<tr class="separator:a7ab6e7834fe25bb14e470062bb385c48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4ac13f28cbd3901afdf0ab7ab4d0932"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#ab4ac13f28cbd3901afdf0ab7ab4d0932">m_CallbackFunction</a></td></tr>
<tr class="separator:ab4ac13f28cbd3901afdf0ab7ab4d0932"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d62edd4b5cf8501588dd1300ed0870d"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d12/class_mouse_binding.html#a4d62edd4b5cf8501588dd1300ed0870d">m_InfoKeys</a></td></tr>
<tr class="separator:a4d62edd4b5cf8501588dd1300ed0870d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a21eeeac48a3e9fa07ca429d1c29a08bf" name="a21eeeac48a3e9fa07ca429d1c29a08bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21eeeac48a3e9fa07ca429d1c29a08bf">&#9670;&#160;</a></span>MouseBinding()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_InfoDescription void MouseBinding::MouseBinding </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>ui_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>mouse_button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>mouse_event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>call_target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>call_function</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>info_bind</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>info_description</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00011">11</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aedcde7b136707195707bc9be9607df74" name="aedcde7b136707195707bc9be9607df74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedcde7b136707195707bc9be9607df74">&#9670;&#160;</a></span>GetButtonID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MouseBinding::GetButtonID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00027">27</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="a7ae38e0cdf80e3c659fa734dd8690abd" name="a7ae38e0cdf80e3c659fa734dd8690abd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ae38e0cdf80e3c659fa734dd8690abd">&#9670;&#160;</a></span>GetCallbackFunction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> MouseBinding::GetCallbackFunction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00042">42</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="aef322d4ab41b4ff504960ac27b882afe" name="aef322d4ab41b4ff504960ac27b882afe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef322d4ab41b4ff504960ac27b882afe">&#9670;&#160;</a></span>GetCallbackTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> MouseBinding::GetCallbackTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00037">37</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="a3bbaae249ae7d097da0116afbed14f6b" name="a3bbaae249ae7d097da0116afbed14f6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bbaae249ae7d097da0116afbed14f6b">&#9670;&#160;</a></span>GetInfoBind()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> MouseBinding::GetInfoBind </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00047">47</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="adb7b9a8a146961d7d1e362f642720d5f" name="adb7b9a8a146961d7d1e362f642720d5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb7b9a8a146961d7d1e362f642720d5f">&#9670;&#160;</a></span>GetInfoDescription()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> MouseBinding::GetInfoDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00052">52</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="a5dd62f74114e6b7c62c1af07f58c3938" name="a5dd62f74114e6b7c62c1af07f58c3938"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dd62f74114e6b7c62c1af07f58c3938">&#9670;&#160;</a></span>GetMouseEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MouseBinding::GetMouseEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00032">32</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="a5571c84352c9ae9d8fad11306cbd280e" name="a5571c84352c9ae9d8fad11306cbd280e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5571c84352c9ae9d8fad11306cbd280e">&#9670;&#160;</a></span>GetUIMenuID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MouseBinding::GetUIMenuID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00022">22</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a8d7b96c38afc9ed65401bf27a4584cfe" name="a8d7b96c38afc9ed65401bf27a4584cfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d7b96c38afc9ed65401bf27a4584cfe">&#9670;&#160;</a></span>m_ActiveUIMenuID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MouseBinding::m_ActiveUIMenuID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="ab4ac13f28cbd3901afdf0ab7ab4d0932" name="ab4ac13f28cbd3901afdf0ab7ab4d0932"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4ac13f28cbd3901afdf0ab7ab4d0932">&#9670;&#160;</a></span>m_CallbackFunction</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> MouseBinding::m_CallbackFunction</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00007">7</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="a7ab6e7834fe25bb14e470062bb385c48" name="a7ab6e7834fe25bb14e470062bb385c48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ab6e7834fe25bb14e470062bb385c48">&#9670;&#160;</a></span>m_CallbackTarget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> MouseBinding::m_CallbackTarget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00006">6</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="a4d62edd4b5cf8501588dd1300ed0870d" name="a4d62edd4b5cf8501588dd1300ed0870d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d62edd4b5cf8501588dd1300ed0870d">&#9670;&#160;</a></span>m_InfoKeys</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> MouseBinding::m_InfoKeys</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00008">8</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="a7afc179f99ffbf3d5cc489c769ed74f9" name="a7afc179f99ffbf3d5cc489c769ed74f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7afc179f99ffbf3d5cc489c769ed74f9">&#9670;&#160;</a></span>m_MouseButton</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MouseBinding::m_MouseButton</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00004">4</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<a id="a03acac9187f20d7f4896cceadea1b0aa" name="a03acac9187f20d7f4896cceadea1b0aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03acac9187f20d7f4896cceadea1b0aa">&#9670;&#160;</a></span>m_MouseEvent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MouseBinding::m_MouseEvent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html#l00005">5</a> of file <a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../d9/dbd/_mouse_binding_8c_source.html">MouseBinding.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d12/class_mouse_binding.html">MouseBinding</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
